
Robotics Service Bus - Tasks #258
Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model
Integrate Service idea
04/27/2011 05:15 PM - J. Wienke

Status: Resolved Start date: 04/27/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 4.00 hours
Target version:
Description

    -  Create Service interface (in rsb namespace)
        -  Add getScope method
        -  Add a methods to add and remove participants
        -  Add methods to add and remove sub-services
        -  Add methods to access participants
        -  Add methods to access sub-services
    -  Create Service implementation LocalService with default implementations of methods
        -  Services only allow sub-services and participants with more narrow scope
    -  Create method in rsb::Factory to instantiate LocalServices

Associated revisions
Revision 58a5e5fa - 04/30/2011 01:06 PM - J. Wienke

Add a stupid local implementation of service.

refs #258

Revision 107d707d - 04/30/2011 01:21 PM - J. Wienke

Create services in rsb::Factory

fixes #258

History
#1 - 04/30/2011 12:57 AM - J. Wienke
- Status changed from New to In Progress
- Assignee changed from S. Wrede to J. Wienke

#2 - 04/30/2011 01:07 PM - J. Wienke

Missing revision association: r707

#3 - 04/30/2011 01:22 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
Applied in changeset r712.
